All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters.timebased.olap
Class OLAPTimeBasedFilterConstants

    com.sas.dataselectors.filters.timebased.olap.OLAPTimeBasedFilterConstants

    public class OLAPTimeBasedFilterConstants

Utility class that contains constants used when using OLAP time based filters

Field Summary
`static java.lang.String` | `ACTION_PERIOD_TYPE_CHANGED` Value of the 'remoteAction' request parameter submitted when the period type value changes.
`static java.lang.String` | `OTFS_ENDING_RADIO_LAST_PERIOD_VALUE` Value of the 'The last xx' item of the 'Ending xx' radio box.
`static java.lang.String` | `OTFS_SELECT_RADIO_ENDING_PERIOD_VALUE` Value of the 'Starting period' item of the 'Select' radio box.
`static java.lang.String` | `OTFS_SELECT_RADIO_STARTING_PERIOD_VALUE` Value of the 'Starting period' item of the 'Select' radio box.
`static java.lang.String` | `OTFS_SHOW_RADIO_ACROSS_VALUE` Value of the 'Across -periods-' item of the 'Show' radio box.
`static java.lang.String` | `OTFS_SHOW_RADIO_N_PERIODS_VALUE` Value of the 'N -periods-' item of the 'Show' radio box.
`static java.lang.String` | `OTFS_SHOW_RADIO_RANGE_OF_PERIODS_VALUE` Value of the 'Range of -periods-' item of the 'Show' radio box.
`static java.lang.String` | `OTFS_STARTING_ENDING_RADIO_SELECTED_PERIOD_VALUE` Value of the 'Selected xx' item of both the 'Starting xx' and 'Ending xx' radio boxes.
`static java.lang.String` | `OTFS_STARTING_RADIO_FIRST_PERIOD_VALUE` Value of the 'The first xx' item of the 'Starting xx' radio box.

Field Detail

### OTFS_SHOW_RADIO_N_PERIODS_VALUE

    public static final java.lang.String OTFS_SHOW_RADIO_N_PERIODS_VALUE

  Value of the 'N -periods-' item of the 'Show' radio box. "NPERIODS"

  See Also:
    Constant Field Values

### OTFS_SHOW_RADIO_ACROSS_VALUE

    public static final java.lang.String OTFS_SHOW_RADIO_ACROSS_VALUE

  Value of the 'Across -periods-' item of the 'Show' radio box. "ACROSS"

  See Also:
    Constant Field Values

### OTFS_SHOW_RADIO_RANGE_OF_PERIODS_VALUE

    public static final java.lang.String OTFS_SHOW_RADIO_RANGE_OF_PERIODS_VALUE

  Value of the 'Range of -periods-' item of the 'Show' radio box. "RANGE"

  See Also:
    Constant Field Values

### OTFS_SELECT_RADIO_STARTING_PERIOD_VALUE

    public static final java.lang.String OTFS_SELECT_RADIO_STARTING_PERIOD_VALUE

  Value of the 'Starting period' item of the 'Select' radio box. "STARTINGPERIOD"

  See Also:
    Constant Field Values

### OTFS_SELECT_RADIO_ENDING_PERIOD_VALUE

    public static final java.lang.String OTFS_SELECT_RADIO_ENDING_PERIOD_VALUE

  Value of the 'Starting period' item of the 'Select' radio box. "ENDINGPERIOD"

  See Also:
    Constant Field Values

### OTFS_STARTING_ENDING_RADIO_SELECTED_PERIOD_VALUE

    public static final java.lang.String OTFS_STARTING_ENDING_RADIO_SELECTED_PERIOD_VALUE

  Value of the 'Selected xx' item of both the 'Starting xx' and 'Ending xx' radio boxes. "SELECTEDPERIOD"

  See Also:
    Constant Field Values

### OTFS_STARTING_RADIO_FIRST_PERIOD_VALUE

    public static final java.lang.String OTFS_STARTING_RADIO_FIRST_PERIOD_VALUE

  Value of the 'The first xx' item of the 'Starting xx' radio box. "FIRSTPERIOD"

  See Also:
    Constant Field Values

### OTFS_ENDING_RADIO_LAST_PERIOD_VALUE

    public static final java.lang.String OTFS_ENDING_RADIO_LAST_PERIOD_VALUE

  Value of the 'The last xx' item of the 'Ending xx' radio box. "LASTPERIOD"

  See Also:
    Constant Field Values

### ACTION_PERIOD_TYPE_CHANGED

    public static final java.lang.String ACTION_PERIOD_TYPE_CHANGED

  Value of the 'remoteAction' request parameter submitted when the period type value changes. "OTFSPERIODTYPECHANGED"

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.